Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.util
Class HTTPFileArg

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.protocol.http.util.HTTPFileArg

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

public class HTTPFileArg
extends AbstractTestElement
implements Serializable

Class representing a file parameter for http upload. Consists of a http parameter name/file path pair with (optional) mimetype. Also provides temporary storage for the headers which are sent with files.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`HTTPFileArg()` Constructor for an empty HTTPFileArg object
`HTTPFileArg(HTTPFileArg file)` Copy Constructor.
`HTTPFileArg(JMeterProperty path, JMeterProperty paramname, JMeterProperty mimetype)` Constructor for the HTTPFileArg object with full information, using existing properties
`HTTPFileArg(String path)` Constructor for the HTTPFileArg object with given path.
`HTTPFileArg(String path, String paramname, String mimetype)` Constructor for the HTTPFileArg object with full information.

Method Summary
`String` | `getHeader()` Gets the saved body header for the HTTPFileArg object.
`String` | `getMimeType()` Get the mimetype of the File.
`String` | `getParamName()` Get the http parameter name of the File.
`String` | `getPath()` Get the path of the File.
`boolean` | `isNotEmpty()` Check if the entry is not empty.
`void` | `setHeader(String newHeader)` Sets the body header for the HTTPFileArg object.
`void` | `setMimeType(String newMimeType)` Set the mimetype of the File.
`void` | `setParamName(String newParamName)` Set the http parameter name of the File.
`void` | `setPath(String newPath)` Set the path of the File.
`String` | `toString()` returns path, param name, mime type information of HTTPFileArg object.

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTTPFileArg

    public HTTPFileArg()

  Constructor for an empty HTTPFileArg object

### HTTPFileArg

    public HTTPFileArg(String path)

  Constructor for the HTTPFileArg object with given path.

### HTTPFileArg

    public HTTPFileArg(String path,
                       String paramname,
                       String mimetype)

  Constructor for the HTTPFileArg object with full information.

### HTTPFileArg

    public HTTPFileArg(JMeterProperty path,
                       JMeterProperty paramname,
                       JMeterProperty mimetype)

  Constructor for the HTTPFileArg object with full information, using existing properties

### HTTPFileArg

    public HTTPFileArg(HTTPFileArg file)

  Copy Constructor.

Method Detail

### setParamName

    public void setParamName(String newParamName)

  Set the http parameter name of the File.

  Parameters:
    `newParamName` - the new http parameter name

### getParamName

    public String getParamName()

  Get the http parameter name of the File.

  Returns:
    the http parameter name

### setMimeType

    public void setMimeType(String newMimeType)

  Set the mimetype of the File.

  Parameters:
    `newMimeType` - the new mimetype

### getMimeType

    public String getMimeType()

  Get the mimetype of the File.

  Returns:
    the http parameter mimetype

### setPath

    public void setPath(String newPath)

  Set the path of the File.

  Parameters:
    `newPath` - the new path

### getPath

    public String getPath()

  Get the path of the File.

  Returns:
    the file's path

### setHeader

    public void setHeader(String newHeader)

  Sets the body header for the HTTPFileArg object. Header contains path, parameter name and mime type information. This is only intended for use by methods which need to store information temporarily whilst creating the HTTP body.

  Parameters:
    `newHeader` - the new Header value

### getHeader

    public String getHeader()

  Gets the saved body header for the HTTPFileArg object.

### toString

    public String toString()

  returns path, param name, mime type information of HTTPFileArg object.

  Returns:
    the string demonstration of HTTPFileArg object in this format: "path:''|param:''|mimetype:''"

### isNotEmpty

    public boolean isNotEmpty()

  Check if the entry is not empty.

  Returns:
    true if Path, name or mimetype fields are not the empty string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.